###
###
###

.seqnames <- paste("Group", 1:16, sep="")

.mseqnames <- "GroupUn"

.nmask_per_seq <- 0

.onLoad <- function(libname, pkgname)
{
    extdata_dir <- system.file("extdata", package=pkgname, lib.loc=libname)
    bsgenome <- BSgenome(
        organism="Apis mellifera",
        species="Honey Bee",
        provider="BeeBase",
        provider_version="assembly4",
        release_date="Feb. 2008",
        release_name="assembly4",
        source_url="NA",
        seqnames=.seqnames,
        mseqnames=.mseqnames,
        seqs_pkg=pkgname,
        seqs_dir=extdata_dir,
        nmask_per_seq=.nmask_per_seq,
        masks_pkg=pkgname,
        masks_dir=extdata_dir
    )
    objname <- "Amellifera"
    ns <- asNamespace(pkgname)
    assign(objname, bsgenome, envir=ns)
    namespaceExport(ns, objname)
}

